summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/apt.postinst')
-rw-r--r--debian/apt.postinst5
1 files changed, 4 insertions, 1 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index cc0d8b1fe..2ebcfb19b 100644
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -15,7 +15,10 @@ set -e
case "$1" in
configure)
- apt-key update
+ if ! test -f /etc/apt/trusted.gpg; then
+ cp /usr/share/apt/ubuntu-archive.gpg /etc/apt/trusted.gpg
+ fi
+ apt-key update || true
;;
abort-upgrade|abort-remove|abort-deconfigure)